> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Follow

> Checks if one account follows another. User 1 is the account that should be followed, User 2 is the one you want to check. For example: "Does Elon Musk (user_2) follow SorsaApp (user_1)?" Pass only one identifier per side: link, username, or ID. Returns follow: true if the relationship exists, and user_protected: true if the checked user's profile is private.



## OpenAPI

````yaml https://api.sorsa.io/v3/swagger.json post /check-follow
openapi: 3.0.3
info:
  contact: {}
  title: API Sorsa.io
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /check-follow:
    post:
      tags:
        - Verification
      summary: Check Follow
      description: >-
        Checks if one account follows another. User 1 is the account that should
        be followed, User 2 is the one you want to check. For example: "Does
        Elon Musk (user_2) follow SorsaApp (user_1)?" Pass only one identifier
        per side: link, username, or ID. Returns follow: true if the
        relationship exists, and user_protected: true if the checked user's
        profile is private.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/verification.CheckFollowReq'
        description: project_handle or project_id and user_link, username or user_id
        required: true
        x-originalParamName: payload
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verification.CheckFollowResp'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Not Found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    verification.CheckFollowReq:
      properties:
        user_id_1:
          example: '44196397'
          type: string
        user_id_2:
          example: '44196397'
          type: string
        user_link_1:
          example: https://twitter.com/elonmusk
          type: string
        user_link_2:
          example: https://twitter.com/elonmusk
          type: string
        username_1:
          example: elonmusk
          type: string
        username_2:
          example: elonmusk
          type: string
      type: object
    verification.CheckFollowResp:
      properties:
        follow:
          description: '`true` if the user follows the target account.'
          example: true
          type: boolean
        user_protected:
          description: '`true` if the checked user''s account is protected.'
          example: false
          type: boolean
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````